package com.bocloud.cmp.model.cisco;

import java.util.List;

public class VlanPoolModel {
    private String name;
    private String dn;
    private String lcOwn;
    private String ownerKey;
    private String descr;
    private String extMngdBy;
    private String configIssues;
    private String status;
    private String modTs;
    private String ownerTag;
    private String uid;
    private String allocMode;
    private String nameAlias;
    private String childAction;
    private List<EncapBlkModel> encapBlks;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the dn
     */
    public String getDn() {
        return dn;
    }

    /**
     * @param dn the dn to set
     */
    public void setDn(String dn) {
        this.dn = dn;
    }

    /**
     * @return the lcOwn
     */
    public String getLcOwn() {
        return lcOwn;
    }

    /**
     * @param lcOwn the lcOwn to set
     */
    public void setLcOwn(String lcOwn) {
        this.lcOwn = lcOwn;
    }

    /**
     * @return the ownerKey
     */
    public String getOwnerKey() {
        return ownerKey;
    }

    /**
     * @param ownerKey the ownerKey to set
     */
    public void setOwnerKey(String ownerKey) {
        this.ownerKey = ownerKey;
    }

    /**
     * @return the descr
     */
    public String getDescr() {
        return descr;
    }

    /**
     * @param descr the descr to set
     */
    public void setDescr(String descr) {
        this.descr = descr;
    }

    /**
     * @return the extMngdBy
     */
    public String getExtMngdBy() {
        return extMngdBy;
    }

    /**
     * @param extMngdBy the extMngdBy to set
     */
    public void setExtMngdBy(String extMngdBy) {
        this.extMngdBy = extMngdBy;
    }

    /**
     * @return the configIssues
     */
    public String getConfigIssues() {
        return configIssues;
    }

    /**
     * @param configIssues the configIssues to set
     */
    public void setConfigIssues(String configIssues) {
        this.configIssues = configIssues;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the modTs
     */
    public String getModTs() {
        return modTs;
    }

    /**
     * @param modTs the modTs to set
     */
    public void setModTs(String modTs) {
        this.modTs = modTs;
    }

    /**
     * @return the ownerTag
     */
    public String getOwnerTag() {
        return ownerTag;
    }

    /**
     * @param ownerTag the ownerTag to set
     */
    public void setOwnerTag(String ownerTag) {
        this.ownerTag = ownerTag;
    }

    /**
     * @return the uid
     */
    public String getUid() {
        return uid;
    }

    /**
     * @param uid the uid to set
     */
    public void setUid(String uid) {
        this.uid = uid;
    }

    /**
     * @return the allocMode
     */
    public String getAllocMode() {
        return allocMode;
    }

    /**
     * @param allocMode the allocMode to set
     */
    public void setAllocMode(String allocMode) {
        this.allocMode = allocMode;
    }

    /**
     * @return the nameAlias
     */
    public String getNameAlias() {
        return nameAlias;
    }

    /**
     * @param nameAlias the nameAlias to set
     */
    public void setNameAlias(String nameAlias) {
        this.nameAlias = nameAlias;
    }

    /**
     * @return the childAction
     */
    public String getChildAction() {
        return childAction;
    }

    /**
     * @param childAction the childAction to set
     */
    public void setChildAction(String childAction) {
        this.childAction = childAction;
    }

    /**
     * @return the encapBlks
     */
    public List<EncapBlkModel> getEncapBlks() {
        return encapBlks;
    }

    /**
     * @param encapBlks the encapBlks to set
     */
    public void setEncapBlks(List<EncapBlkModel> encapBlks) {
        this.encapBlks = encapBlks;
    }
}
